## ruby-rails-2.3 2.3.14

=== debian/changelog ===
ruby-rails-2.3 (2.3.14-4) unstable; urgency=low

  * Team upload.
  * Add missing dependencies on libjs-scriptaculous and libjs-prototype.
    Closes: #681462

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 04 Aug 2012 14:52:58 -0300

ruby-rails-2.3 (2.3.14-3) unstable; urgency=low

  * Team upload.
  * debian/control.in:
    - Bumped standards-version to 3.9.3.
    - Bumped build-dependency on gem2deb to >= 0.3.0~.
    - Changed conflicts into breaks.
  * debian/copyright: fixed to to fit the Debian copyright format version 1.0.
  * debian/ruby-rails-2.3.lintian-overrides: removed unused overrides. 

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 29 Jun 2012 20:17:17 +0200

ruby-rails-2.3 (2.3.14-2) unstable; urgency=low

  * Add dependency on symlinked javascript libraries
  * Set absolute path to fresh_rakefile and README; the ../../../
    doesn't work when symlinked
  * Don't compress README file and install missing environment directory
  * Add a patch to symlink rails to vendor/ directory in the app
    (Closes: #637496)
  * Entangle symlinks even more to support railties in the rails/

 -- Ondřej Surý <ondrej@debian.org>  Mon, 22 Aug 2011 19:17:14 +0200

ruby-rails-2.3 (2.3.14-1) unstable; urgency=low

  * Imported Upstream version 2.3.14
  * Add debian/control dependency on metadata.yml, so it does get
    rebuild on new upstream version
  * Update debian/control dependencies on 2.3.14
  * Add rubygems to Depends (Closes: #637496)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 22 Aug 2011 14:52:46 +0200

ruby-rails-2.3 (2.3.11-1) unstable; urgency=low

  [ Ondřej Surý ]
  * Convert package to gem2deb format
  * Split the package to individual gems instead of one big bundle
  * Rename rails-ruby1.8 to ruby-rails-2.3
  * Move the package under the pkg-ruby-extras umbrella
  * Merge src:rails patches:
    + Change default listening socket to 127.0.0.1 from 0.0.0.0
    + Fix documentation about default listening address
    + Modified a string that recommends the user to do Very Bad Things
  * Use RAILS_VERSION from metadata.yml to generate dependencies
  * Add Depends/Replaces/Conflicts on rails-ruby1.8
  * B-D on gem2deb (>= 0.2.4)
  * Add require-rubygems.overrides
  * Install rails binaries to /usr/lib/ruby/vendor_ruby/railties/bin
  * Install rest of railties not handled by gem2deb
  * Use prototype.js provided by Debian package
  * Merge lintian-overrides from src:rails
  * Add rails and rails_generator symlinks to railties subdirectory
  * Use javascripts from libjs-scriptaculous
  * Update lintian-overrides
  * Double lintian-overrides to shut-up both lintian.debian.org and
    local lintian
  * Install upstream README
  * Update upstream copyright (sorry goes to ftp-masters)
  * Update copyright file to include all authors and all embedded
    javascript libraries (later to be removed), Debian packaging copyright
    relicensed to GPL-3+

 -- Ondřej Surý <ondrej@debian.org>  Thu, 09 Jun 2011 10:28:13 +0200

rails (2.3.11-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Imported Upstream version 2.3.11
    + Fix for CVE-2011-0446 and CVE-2011-0447

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 May 2011 12:41:54 +0200

rails (2.3.5-1.2) unstable; urgency=high

  * Non-maintainer upload.

  [ Laurent Bigonville ]
  * Fix documentation about default listening address (Closes: #583149)

  [ Gunnar Wolf ]
  * Modified a string that recommends the user to do Very Bad Things
    (Closes: #603048)

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 27 Dec 2010 20:38:02 +0100

rails (2.3.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added missing build-dependencies for rails-ruby1.8 on libactionpack-
    ruby1.8, libactionmailer-ruby1.8 and libactiveresource-ruby1.8
    (Closes: #587048)
  * Fixed broken symlink to railties on new project generator (Closes:
    #583219)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 26 Aug 2010 12:36:28 -0500

rails (2.3.5-1) unstable; urgency=low

  * New upstream release (closes: #547658)
  * Package is now split up and non-core rails components, like AR, are on
    the ruby load path. (closes: #469524, #517328)
  * debian/control
    + Depend on rubygems.
    + Suggest thin or thin1.8 as a possible server to run your production
      environment on. This is particularly useful if it is already being
      proxied.
    + xml-simple is no longer used by rails
    + Updated Standard to 3.8.4

 -- Adam Majer <adamm@zombino.com>  Sun, 23 May 2010 01:21:31 -0500

rails (2.2.3-1) unstable; urgency=high

  * New upstream release (closes: #545063)
    + Fixes XSS security hole [CVE-2009-3009]
    + Fixes timing issue with cookie store [CVE-2009-3086]
  * Remove dependency on ruby-dbi, as it is not required by any of the
    sources.
  * Correct dependency on fixed libxml-simple-ruby to 1.0.11-2 or later
    (closes: #538982)
  * debian/control
    + Change section from web to ruby
    + Updated to debhelper 7.0+
    + Standards updated to 3.8.3 - no changes

 -- Adam Majer <adamm@zombino.com>  Fri, 11 Sep 2009 13:53:42 -0500

rails (2.2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depends on rubygems. (Closes: #522009)

 -- Tiago Bortoletto Vaz <tiago@debian-ba.org>  Thu, 18 Jun 2009 11:41:19 -0300

rails (2.2.2-1) unstable; urgency=low

  * New upstream release (closes: #510580, 510580)
     + fixes the problem with migration with symbolic field types 
       (closes: #511860) 
  * debian/control:
     + Depend on Rake 0.8.3 or later
     + Build-Depends-Indep on libmocha-ruby for unit tests
     + Move most of the build dependencies to Build-Depends-Indep
     + Remove the predepends as Lenny is released
  * Load XMLSimple without specifying a path (closes: #514582)
  * Add an explanation how to configure non-packaged rails adds to work
    with Debian version of rails. Also include a tiny script to help in
    this effort. Tomas Pospisek provided the patch. (closes: #499187)


