=== debian/control ===
Source: ruby-rails-2.3
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
	       gem2deb (>= 0.3.0~),
	       rake (>= 0.8.3),
	       ruby-activesupport-2.3 (>= 2.3.14),
	       ruby-activesupport-2.3 (<< 2.3.14.1),
	       ruby-activerecord-2.3 (>= 2.3.14),
	       ruby-activerecord-2.3 (<< 2.3.14.1),
	       ruby-actionpack-2.3 (>= 2.3.14),
	       ruby-actionpack-2.3 (<< 2.3.14.1),
	       ruby-actionmailer-2.3 (>= 2.3.14),
	       ruby-actionmailer-2.3 (<< 2.3.14.1),
	       ruby-activeresource-2.3 (>= 2.3.14),
	       ruby-activeresource-2.3 (<< 2.3.14.1)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-rails-2.3.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-rails-2.3.git;a=summary
Homepage: http://www.rubyonrails.org
XS-Ruby-Versions: all

Package: ruby-rails-2.3
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ruby | ruby-interpreter,
	 rake (>= 0.8.3),
	 libjs-prototype,
	 libjs-scriptaculous,
	 ruby-activesupport-2.3 (>= 2.3.14),
	 ruby-activesupport-2.3 (<< 2.3.14.1),
	 ruby-activerecord-2.3 (>= 2.3.14),
	 ruby-activerecord-2.3 (<< 2.3.14.1),
	 ruby-actionpack-2.3 (>= 2.3.14),
	 ruby-actionpack-2.3 (<< 2.3.14.1),
	 ruby-actionmailer-2.3 (>= 2.3.14),
	 ruby-actionmailer-2.3 (<< 2.3.14.1),
	 ruby-activeresource-2.3 (>= 2.3.14),
	 ruby-activeresource-2.3 (<< 2.3.14.1)
Breaks: rails-ruby1.8 (<< 2.3.11-1~)
Replaces: rails-ruby1.8 (<< 2.3.11-1~)
Provides: rails-ruby1.8
Description: MVC ruby based framework geared for web application development
 Rails is a full-stack, open-source web framework in Ruby for writing
 real-world applications.
 .
 Being a full-stack framework means that all layers are built to work
 seamlessly together. That way you don't repeat yourself and you can
 use a single language from top to bottom. Everything from templates to
 control flow to business logic is written in Ruby.
